this.name			= "pods_bigPod-kg";
this.author			= "Thargoid";
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description	= "Generates a pod of 1-100 kg capacity";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	var wp = worldScripts.pods;
	let type = this.ship.commodity; // setCargoType
	let quantity = parseInt(this.ship.commodityAmount);
	// content cargopod role
	if (this.logging && type) log("pods", this.name + " : input setCargo : " + type + "[" + quantity + "] for " + scooper.name);

	if (wp && scooper.isPlayer) {
		if (!type) {
			var msg;
			let award = (Math.ceil(Math.random() * 100));
			let cargo = expandDescription('[pods_contentKilos]');

			if (player.ship.cargoSpaceAvailable > 0) {
				manifest[cargo] += award;
				msg = award + " kilograms " + displayNameForCommodity(cargo);
			} else {
				msg = "Not enough space in your cargo hold for the pod!";
			}
			wp._delayedMsg(msg, 3);
		} else {
			wp._msgCargo(type, quantity);
			if (this.logging) log(this.name, "player scooped pre-setCargo");
		}
	}
}
